## org.apache.solr.client.solrj.request
Class CoreAdminRequest.Create

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest
              org.apache.solr.client.solrj.request.CoreAdminRequest.Create

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.Create

extends CoreAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected String` `collection`
`protected String` `configName`
`protected String` `dataDir`
`protected String` `instanceDir`
`protected String` `schemaName`
`protected String` `ulogDir`

Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`action, core, isIndexInfoNeeded, other`

Constructor Summary
`CoreAdminRequest.Create()`

Method Summary
`String` `getCollection()`
`String` `getConfigName()`
`String` `getCoreNodeName()`
`String` `getDataDir()`
`String` `getInstanceDir()`
`SolrParams` `getParams()`
`String` `getRoles()`
`String` `getSchemaName()`
`String` `getShardId()`
`String` `getUlogDir()`
`void` `setCollection(String collection)`
`void` `setConfigName(String config)`
`void` `setCoreNodeName(String coreNodeName)`
`void` `setDataDir(String dataDir)`
`void` `setInstanceDir(String instanceDir)`
`void` `setNumShards(int numShards)`
`void` `setRoles(String roles)`
`void` `setSchemaName(String schema)`
`void` `setShardId(String shardId)`
`void` `setUlogDir(String ulogDir)`

Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest
`createCore, createCore, createCore, getContentStreams, getStatus, mergeIndexes, persist, process, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceDir

    protected String instanceDir

### configName

    protected String configName

### schemaName

    protected String schemaName

### dataDir

    protected String dataDir

### ulogDir

    protected String ulogDir

### collection

    protected String collection

Constructor Detail

### CoreAdminRequest.Create

    public CoreAdminRequest.Create()

Method Detail

### setInstanceDir

    public void setInstanceDir(String instanceDir)

### setSchemaName

    public void setSchemaName(String schema)

### setConfigName

    public void setConfigName(String config)

### setDataDir

    public void setDataDir(String dataDir)

### setUlogDir

    public void setUlogDir(String ulogDir)

### setCollection

    public void setCollection(String collection)

### setNumShards

    public void setNumShards(int numShards)

### setShardId

    public void setShardId(String shardId)

### setRoles

    public void setRoles(String roles)

### setCoreNodeName

    public void setCoreNodeName(String coreNodeName)

### getInstanceDir

    public String getInstanceDir()

### getSchemaName

    public String getSchemaName()

### getConfigName

    public String getConfigName()

### getDataDir

    public String getDataDir()

### getUlogDir

    public String getUlogDir()

### getCollection

    public String getCollection()

### getShardId

    public String getShardId()

### getRoles

    public String getRoles()

### getCoreNodeName

    public String getCoreNodeName()

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CoreAdminRequest`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.